Bug 509699

Summary: append ~/.cabal/bin to PATH if it exists
Product: [Fedora] Fedora Reporter: Jens Petersen <petersen>
Component: cabal-installAssignee: Jens Petersen <petersen>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: haskell-devel, petersen
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: cabal-install-0.8.0-4.fc14 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-05-19 05:08:05 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jens Petersen 2009-07-05 09:32:21 UTC
Description of problem:
After installing cabal programs, it is annoying that they are not in PATH
and one has to type the fully-qualified or relative path
explicitly: eg ~/.cabal/bin/progname 

I think we can append ~/.cabal/bin to user's PATH if it exists.

Comment 1 Bug Zapper 2009-11-16 10:38:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2010-03-15 12:41:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Jens Petersen 2010-05-19 05:08:05 UTC
Fixed in cabal-install-0.8.0-4.fc14.

Comment 4 Jens Petersen 2010-05-19 05:09:03 UTC
There may be a backport to f13 later.